Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.pipeline
Class DefaultSessionTimeoutValveTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.turbine.test.BaseTestCase
                  org.apache.turbine.pipeline.DefaultSessionTimeoutValveTest

All Implemented Interfaces:
  junit.framework.Test

    public class DefaultSessionTimeoutValveTest

extends BaseTestCase

Tests TurbinePipeline.

Version:
  $Id: DefaultSessionTimeoutValveTest.java 615328 2008-01-25 20:25:05Z tv $
Author:
  Eric Pugh, Peter Courcoux

Constructor Summary
`DefaultSessionTimeoutValveTest(String testName)` Constructor

Method Summary
`protected void` | `setUp()`
`void` | `testDefaults()` Tests the Valve.
`void` | `testTimeoutSet()` Tests the Valve.

Methods inherited from class org.apache.turbine.test.BaseTestCase
`getMockRequest, getPipelineData, getRunData`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultSessionTimeoutValveTest

    public DefaultSessionTimeoutValveTest(String testName)
                                   throws Exception

  Constructor

  Throws:
    `Exception`

Method Detail

### setUp

    protected void setUp()
                  throws Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `Exception`

### testDefaults

    public void testDefaults()
                      throws Exception

  Tests the Valve.

  Throws:
    `Exception`

### testTimeoutSet

    public void testTimeoutSet()
                        throws Exception

  Tests the Valve.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.